SS22-DevOps-Deployable
=============================

### Introduction 

This repository demonstrates the automated deployment of a simple web application. It consists of two branches - **staging** and **main**.
These branches are protected, meaning that commits targetting them will fail.
Changes to the codebase are realized through the use of other temporary branches and Merge Requests to **staging**. Merge Requests to **main** should
only be opened from **staging** as a source branch.

As soon as a new change through a MR is commited to **staging**, a pipeline is triggered. It deploys the application to the **staging-todoapp-devops** namespace in a Kubernetes cluster, run on GKE. After that, the application is accessible on the URL:

> https://staging.todoapp-devops.software

The same process happens with commits (merged from **staging**) on the **main** branch. The web application is then accessible on:

> https://todoapp-devops.software
